Name:		guimup
Version:	0.2.1
Release:	1%{?dist}
Summary:	A GTKmm based drag-&-drop oriented client for MPD

Group:		Applications/Multimedia
License:	GPLv3+
URL:		http://www.coonsden.com/
Source0:	http://downloads.sourceforge.net/musicpd/Guimup-%{version}-src.tar.gz
Source1:	guimup.desktop
Patch0:		Guimup-%{version}-libmpdclient.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	gtkmm24-devel >= 2.16
BuildRequires:	libsoup-devel >= 2.26
BuildRequires:	libmpd-devel
BuildRequires:	libtool
BuildRequires:	desktop-file-utils

%description
GUIMUP is a client for the music player daemon (MPD) written
in C++ and GTKmm. The program can be used with most Linux 
desktops but, as a GTK program, is best suited for GNOME and 
XFCE.

The focus of the program is on mouse handling: 
playlist management is done entirely by drag-&-drop; 
playback functions are directly accessible from the system tray. 
Guimup turns MPD into a perfect desktop music player.

%prep
%setup -q -n Guimup-%{version}
rm src/libmpdclient*
%patch0 -p1
autoreconf -f

%build
%configure
export echo=echo # libtool fails otherwise
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_datadir}/pixmaps

make install DESTDIR=%{buildroot} \
	INSTALL="install -p" echo=echo
	
rm -rf %{buildroot}%{_usr}/doc

desktop-file-install \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{SOURCE1}
install -p -m0644 Icons/%{name}48.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png
%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Dec  8 2009 Andreas Osowski <th0br0@mkdir.name> 0.2.1-1
- Updated to version 0.2.1

* Fri May 22 2009 Andreas Osowski <th0br0@mkdir.name> 0.2.0-1
- Updated to version 0.2.0

* Fri May 22 2009 Andreas Osowski <th0br0@mkdir.name> 0.1.4-6.d
- Removed Requires: mpd as mpd is not available in the fedora repository

* Mon May 18 2009 Milos Jakubicek <xjakub@fi.muni.cz> 0.1.4-6.c
- Fix FTBFS: set $echo to echo to make libtool happy

* Sat Apr 25 2009 Andreas Osowski <th0br0@mkdir.name> 0.1.4-6.b
- Fixed release tag
- Fixed timestamp not preserved when installing the icon

* Fri Apr 24 2009 Andreas Osowski <th0br0@mkdir.name> 0.1.4-5
- Bug fix release by upstream for guimup crashing when MPD can't be started

* Thu Apr 23 2009 Andreas Osowski <th0br0@mkdir.name> 0.1.4-4
- Fixed desktop file
- Beauty fixes

* Thu Apr 23 2009 Andreas Osowski <th0br0@mkdir.name> 0.1.4-3
- Updated Source0

* Thu Apr 23 2009 Andreas Osowski <th0br0@mkdir.name> 0.1.4-2
- Added desktop file
- Removed libmpdclient from the source
- Macro usage fixed
- global srcname removed

* Wed Apr 15 2009 Andreas Osowski <th0br0@mkdir.name> 0.1.4-1
- Initial package build
